=== debian/changelog ===
kf5-kdepimlibs (4:16.04.2-2) unstable; urgency=low

  * Release to unstable.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 04 Jul 2016 17:02:23 +0200

kf5-kdepimlibs (4:16.04.2-1) experimental; urgency=medium

  [ Maximiliano Curia ]
  * Update copyright information

  [ Automatic packaging ]
  * Update symbols files with the buildds results

 -- Maximiliano Curia <maxy@debian.org>  Mon, 27 Jun 2016 16:30:11 +0200

kf5-kdepimlibs (4:16.04.1-2) experimental; urgency=medium

  [ Automatic packaging ]
  * Bump Standards-Version to 3.9.8
  * Update symbols files with the logs from the buildds
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * New upstream release (15.12.2).
  * Replace the "Historical name" ddeb-migration by its "Modern, clearer" replacement dbgsym-migration.
  * Add upstream metadata (DEP-12)
  * debian/control: Update Vcs-Browser and Vcs-Git fields
  * Update uscan file to fetch the unstable releases
  * Drop unreleased changelog entry
  * Drop packages moved to akonadi
  * Change version dependencies for libkf5akonadi-dev
  * Update build dependencies
  * Update install files
  * Update symbols files
  * Rename the source package, to allow coexistance with the kde4 version in
    the archive.
  * Add breaks/replaces for the not renamed kdepim-kio versions
  * Inject kf5-kdepimlibs-kio-plugins dependency through the symbols files

 -- Maximiliano Curia <maxy@debian.org>  Tue, 31 May 2016 09:30:42 +0200

kdepimlibs (4:15.12.1-2) experimental; urgency=medium

  * Drop libprison build dependency. (Closes: #814200)

 -- Maximiliano Curia <maxy@debian.org>  Wed, 10 Feb 2016 09:59:20 +0100

kdepimlibs (4:15.12.1-1) experimental; urgency=medium

  * New upstream release (15.12.0).
  * New upstream release (15.12.1).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 01 Feb 2016 10:24:04 +0100

kdepimlibs (4:15.08.3-1) experimental; urgency=medium

  * New upstream release (15.08.3).
  * Update symbols files from buildds logs (4:15.08.2-1).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 02 Dec 2015 12:39:49 +0100

kdepimlibs (4:15.08.2-1) experimental; urgency=medium

  * New upstream release (15.08.2).
  * Update symbols files.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 16 Oct 2015 08:06:37 +0200

kdepimlibs (4:15.08.1-1) experimental; urgency=medium

  * New upstream release (15.08.1).
  * Update symbols files.

 -- Maximiliano Curia <maxy@debian.org>  Sat, 19 Sep 2015 03:16:15 +0200

kdepimlibs (4:15.08.0-1) experimental; urgency=medium

  * New upstream release (15.08.0).

 -- Maximiliano Curia <maxy@debian.org>  Tue, 08 Sep 2015 23:52:14 +0200

kdepimlibs (4:15.08.0-0ubuntu2) wily; urgency=medium

  * Adjust breaks&replaces of libkf5akonadi-dev on kdepimlibs5-dev
    + Latter as provided by kde4pimlibs had its runtime binaries stripped so
      there is no longer a conflict moving forward

 -- Harald Sitter <sitter@kde.org>  Wed, 02 Sep 2015 09:16:56 +0200

kdepimlibs (4:15.08.0-0ubuntu1) wily; urgency=medium

  [ Jonathan Riddell ]
  * New upstream release

  [ Clive Johnston ]
  * Fixing symbols

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 21 Aug 2015 17:30:11 +0100

kdepimlibs (4:15.07.90-0ubuntu2) wily; urgency=medium

  * Update symbols

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 21 Aug 2015 17:26:12 +0100

kdepimlibs (4:15.07.90-0ubuntu1) wily; urgency=medium

  * KDE Frameworks 5 port
  * Drop packages moved to own sources or were removed entirely
    - libkmime4
    - libkpimtextedit4
    - libkxmlrpcclient4
    - libgpgme++2
    - libqgpgme1
    - libsyndication4
    - libkpimidentities4
    - libkontactinterface4
    - libkmbox4
    - libkldap4
    - libkimap4
    - libkholidays4
    - libkcalcore4
    - libkalarmcal2
    - libkblog4
    - libkabc4
    - libkcal4
    - libkcalutils4
    - libakonadi-calendar4
    - libkpimutils4
    - libkresources4
    - libktnef4
    - libkmailtransport4
    - libmicroblog4
    - libakonadi-kabc4
    - libakonadi-kcal4
  * The following new packages were added:
    - libkf5akonadiagentbase5
    - libkf5akonadicontact-dev
    - libkf5akonadicore5
    - libkf5akonadimime-dev
    - libkf5akonadinotes-dev
    - libkf5akonadisocialutils-dev
    - libkf5akonadiwidgets5
  * The following packages were renamed to reflect their new content:
    - libakonadi-kde4 -> libakonadi-kf5
    - kdepimlibs5-dev -> libkf5akonadi-dev
    - libakonadi-contact4 -> libkf5akonadicontact5
    - libakonadi-kmime4 -> libkf5akonadimime5
    - libakonadi-notes4 -> libkf5akonadinotes5
    - libakonadi-socialutils4 -> libkf5akonadisocialutils5
    - libakonadi-xml4 -> libkf5akonadixml5
  * Build dependencies were adjusted to a sutiable version
  * All ACC files were removed until someone finds time to create
    new profiles
  * KDE 4 specific tech in debian/rules was removed along with library
    mass-handling as the libraries are rather detangled now and eventually
    will be split into independent sources altogether.
  * libakondi-kf5 replaces libakonadi-kde4 as they install the same mime type
    file
  * libkf5akonadisocialutils5 replaces libakonadi-socialutils4 as they contain
    overlapping data files

 -- Harald Sitter <sitter@kde.org>  Wed, 12 Aug 2015 10:19:07 +0200

kdepimlibs (4:4.14.10-1) unstable; urgency=medium

  * New upstream release (4.14.7).
  * Update copyright information.
  * New upstream release (4.14.8).
  * Update symbols files from buildds logs (4:4.14.6-1).
  * New upstream release (4.14.9).
  * New upstream release (4.14.10).
  * Update symbols files. (Closes: #777926)
  * Rename libgpgme++2 to v5 due to gcc5 transition.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 10 Aug 2015 15:02:33 +0200

kdepimlibs (4:4.14.9-0ubuntu1) UNRELEASED; urgency=medium

  [ Scarlett Clark ]
  * New upstream release.
  * Batchpatch symbols. No missing. 

  [ Jonathan Riddell ]
  * New upstream release

  [ José Manuel Santamaría Lema ]

